Skip to content
Start here

Change email classification

client.emailSecurity.investigate.reclassify.create(stringinvestigateId, ReclassifyCreateParams { account_id, expected_disposition, eml_content, escalated_submission_id } params, RequestOptionsoptions?): ReclassifyCreateResponse
POST/accounts/{account_id}/email-security/investigate/{investigate_id}/reclassify

Submits a request to reclassify an email’s disposition. Use for reporting false positives or false negatives. Optionally provide the raw EML content for reanalysis. The reclassification is processed asynchronously.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Cloud Email Security: Write
ParametersExpand Collapse
investigateId: string

Unique identifier for a message retrieved from investigation

params: ReclassifyCreateParams { account_id, expected_disposition, eml_content, escalated_submission_id }
account_id: string

Path param: Identifier.

maxLength32
expected_disposition: "NONE" | "BULK" | "MALICIOUS" | 3 more

Body param

One of the following:
"NONE"
"BULK"
"MALICIOUS"
"SPAM"
"SPOOF"
"SUSPICIOUS"
eml_content?: string

Body param: Base64 encoded content of the EML file.

escalated_submission_id?: string

Body param

ReturnsExpand Collapse
ReclassifyCreateResponse = unknown

Change email classification

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const reclassify = await client.emailSecurity.investigate.reclassify.create(
  '4Njp3P0STMz2c02Q-2024-01-05T10:00:00-12345678',
  { account_id: '023e105f4ecef8ad9ca31a8372d0c353', expected_disposition: 'NONE' },
);

console.log(reclassify);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {},
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {},
  "success": true
}